#ifndef AWQN_ITEM_H
#define AWQN_ITEM_H

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class awqn_item;
}

class awqn_item : public QWidget
{
    Q_OBJECT
signals:
    void showSubQuestion(int nOrder);
public:
    explicit awqn_item(CSubQuestionStruct &sqs, QWidget *parent = nullptr);
    ~awqn_item();
    void setUI(int nX, int nY, int nWidth, int nHeight);
    void refreshStatus();
    bool isMarked();
    bool isAnswered();
private slots:
    void on_btn_awqn_quesion_clicked();

private:
    Ui::awqn_item *ui;
    CSubQuestionStruct &m_sqs;
};

#endif // AWQN_ITEM_H
